Export Accounting Data into a BLOB file according to selected formats.
Use this method if you want to Export Accounting Data into a BLOB file and get a link for it. Permissions: All users.
Query Parameters
- Type: stringapi
-version
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body·
Mandatory 'body' parameter, used to describe objects.
Model for AccountingData Export
- Type: stringFormat: uuidFormatrequired
Mandatory 'body' parameter, used to specify Export Format
- Type: stringFormat: date-timeFrom
Date requiredMandatory 'body' parameter, used to specify FromDate filter
- Type: stringMethodmin length:1required
Mandatory 'body' parameter, used to specify Export Method. Possible values: "CO" - Configured or "SO" - Sales Order Production Kitchen
- Type: stringStoresmin length:1required
Mandatory 'body' parameter, used to specify a list of Store IDs as positive integer numbers separated with commas. Set "all" - in any register - to handle all the Stores
- Type: stringFormat: date-timeThru
Date requiredMandatory 'body' parameter, used to specify ThruDate filter
- Type: stringFormat: uuidTyperequired
Mandatory 'body' parameter, used to specify Export Type. It can be empty if Method is "Sales Order Production Kitchen (SO)"
- Type: booleanStore
Rollup Optional 'body' parameter, used to specify StoreRollup Default value is false
Responses
curl /Export/AccountingData \
--request POST \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"FromDate": "",
"ThruDate": "",
"Stores": "",
"Type": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"StoreRollup": false,
"Method": "",
"Format": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD"
}'
{
"Data": null
}